function  GuiChartTimerStart (ChartTempTimer,Startfcn,GpibAdd,Ghandles)

% The following variables are declared global since they will be used 
% by the timer function 'GuiTimerFunction'
% continously every time timer is activated
global mtxTempData ElapsedTime StartTime StartTimeAndDateString;

arrTempData = [];
mtxTempData = [];
ElapsedTime = 0;
StartTime = clock;
StartTimeAndDateString = datestr(now);

fprintf(Ghandles.SunGpibObject,'C1?');
strCH1Temp = fscanf(Ghandles.SunGpibObject);
fprintf(Ghandles.SunGpibObject,'C2?');
strCH2Temp = fscanf(Ghandles.SunGpibObject);
fprintf(Ghandles.SunGpibObject,'SET1?');
strSet1Temp = fscanf(Ghandles.SunGpibObject);
dblCH1Temp = [str2double(strCH1Temp)];
dblCH2Temp = [str2double(strCH2Temp)];
dblSet1Temp = [str2double(strSet1Temp)];

if isnan(dblSet1Temp)
    dblSet1Temp = 0;
end
arrTempData = [dblCH1Temp dblCH2Temp dblSet1Temp];
mtxTempData = [mtxTempData;arrTempData];
MaxTemp = max (mtxTempData)+5;
MinTemp = min (mtxTempData)-5;
TimeMax = max(ElapsedTime)+1;
plot ( ElapsedTime,mtxTempData); %labels need to be inserted after plot function
axis([0  TimeMax MinTemp MaxTemp]);
ylabel ('Temperature');
StartTimeString = ['Start: ' StartTimeAndDateString];
XlabelString = ['Time(min) ' StartTimeString];
xlabel (XlabelString);
legend('CH1','CH2','SET1');
title('PC1000 temp graph');



